<!-- Card: Hierarchical Search -->
<div class="card">
    <div class="card-header">
        <h1>Hierarhiline otsing</h1>
        <p>Otsi aadressi haldusüksuste kaupa.</p>
    </div>
    <div class="card-body pt-3">

        <form action="" id="hierarchical-search-form">

            <div id="data_back_to_consumer">
                <input id="address_id" type="hidden">
                <input id="address_type" type="hidden">
                <input id="region" type="hidden">
                <input id="city_county" type="hidden">
                <input id="municipality" type="hidden">
                <input id="street_bg_name" type="hidden">
                <input id="bg_num" type="hidden">
                <input id="postal_code" type="hidden">
                <input id="building_id" type="hidden">
                <input id="building_name" type="hidden">
                <input id="building_subtype" type="hidden">
                <input id="coord_x" type="hidden">
                <input id="coord_y" type="hidden">
                <input id="room_id" type="hidden">
                <input id="room_name" type="hidden">
                <input id="room_type" type="hidden">
                <input id="room_floor" type="hidden">
                <input id="room_entrance" type="hidden">
            </div>

            <div id="region-drop-down-new" class="row justify-content-sm-center">
                <div class="col col-sm-9 col-md-7 col-lg-5 pt-2">

                    <div class="form-group">
                        <label for="form-control-region-select">Maakond</label>
                        <select class="form-control" id="form-control-region-select">
                            <option value="">- vali -</option>
                        </select>
                    </div>

                </div>
            </div>

            <div id="city-county-drop-down" class="row justify-content-sm-center d-none">
                <div class="col col-sm-9 col-md-7 col-lg-5 pt-2">

                    <div class="form-group">
                        <label for="form-control-city-county-select">Linn/vald</label>
                        <select class="form-control" id="form-control-city-county-select">
                            <option value="">- vali -</option>
                        </select>
                    </div>

                </div>
            </div>

            <div id="municipality-drop-down" class="row justify-content-sm-center d-none">
                <div class="col col-sm-9 col-md-7 col-lg-5 pt-2">

                    <div class="form-group">
                        <label for="form-control-municipality-select">Küla/Alevik/Linnaosa/VS-linn</label>
                        <select class="form-control" id="form-control-municipality-select">
                            <option value="">- vali -</option>
                        </select>
                    </div>

                </div>
            </div>

            <div id="street-drop-down" class="row justify-content-sm-center d-none">
                <div class="col col-sm-9 col-md-7 col-lg-5 pt-2">

                    <div class="form-group">
                        <label for="form-control-street-select">Tänav/Talu/AÜ</label>
                        <select class="form-control" id="form-control-street-select">
                            <option value="">- vali -</option>
                        </select>
                    </div>

                </div>
            </div>

            <div id="house-drop-down" class="row justify-content-sm-center d-none">
                <div class="col col-sm-9 col-md-7 col-lg-5 pt-2">

                    <div class="form-group">
                        <label for="form-control-house-select">Maja number</label>
                        <select class="form-control" id="form-control-house-select">
                            <option value="">- vali -</option>
                        </select>
                    </div>

                </div>
            </div>

            <div id="room-drop-down" class="row justify-content-sm-center d-none">
                <div class="col col-sm-9 col-md-7 col-lg-5 pt-2">

                    <div class="row">

                        <div class="form-group col-md-6">
                            <label for="form-control-room-select">Korteri/Ruumi number</label>
                            <select class="form-control" id="form-control-room-select">
                                <option value="">- vali -</option>
                            </select>
                        </div>

                        <div class="col-md-6 d-flex justify-content-center pb-3">
                            <button id="add-missing-room-btn" type="button" class="btn btn-secondary btn-sm px-4 px-md-2 py-2 mt-auto d-flex justify-content-center w-100">
                                <span class="d-none d-md-block">Lisa puuduv nr</span>
                                <span class="d-md-none">Lisa puuduv number</span>
                            </button>
                        </div>

                    </div>

                    <div id="add-missing-room" class="row d-none">

                        <div class="form-group col-md-6">
                            <label for="form-control-anette-room-select">Ruum Anettest</label>
                            <select class="form-control" id="form-control-anette-room-select">
                                <option value="">- vali -</option>
                            </select>
                        </div>

                        <div class="form-group col-md-6">
                            <label for="room">Korteri/ruumi nr</label>
                            <input class="form-control py-2" id="room" type="text" placeholder="krt 12">
                        </div>

                        <div class="text-right"></div><!-- <--- TODO: Kas see on vajalik? -->

                    </div>

                </div>
            </div>

            <div id="choose-hierarchical-address-button" class="row justify-content-sm-center pt-3">
                <div class="col">
                    <div class="form-group d-flex justify-content-center">
                        <button id="hierarchical-search-select-btn" type="button" class="btn btn-primary d-flex align-items-center px-3 px-md-4 mr-2"><i class="icon icon-check-round-white mr-1"></i><span>Vali aadress</span></button>
                        <button id="hierarchical-search-clear-btn" type="button" class="btn btn-secondary px-3 px-md-4" onclick="javascript: location.reload();">Tühjenda</button>
                    </div>
                </div>
            </div>

        </form>

    </div>
</div>